Loading...
Searching...
No Matches
BALL::RelPositivePartialCharge Class Reference

`#include <BALL/QSAR/partialChargeDescriptors.h>`

Inheritance diagram for BALL::RelPositivePartialCharge:

## Public Member Functions

Constructors and Destructors
| RelPositivePartialCharge ()
| RelPositivePartialCharge (const RelPositivePartialCharge &rppc)
virtual | ~RelPositivePartialCharge ()
Assignment
RelPositivePartialCharge & | operator= (const RelPositivePartialCharge &rppc)
Public Member Functions inherited from BALL::PartialChargeBase
| PartialChargeBase ()
| PartialChargeBase (const PartialChargeBase &pcb)
| PartialChargeBase (const String &name)
| PartialChargeBase (const String &name, const String &unit)
virtual | ~PartialChargeBase ()
PartialChargeBase & | operator= (const PartialChargeBase &pcb)
void | computeAllDescriptors (AtomContainer &ac)
void | setDataFolder (const char *folder)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
virtual double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Member Functions inherited from BALL::PartialChargeBase
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)
String | data_folder_

## Detailed Description

This descriptor returns the fraction of positive partial charges, which is calculated by deviding the biggest partial charges value by the sum of positive partial charges.

Definition at line 93 of file partialChargeDescriptors.h.

## Constructor & Destructor Documentation

## RelPositivePartialCharge() [1/2]

BALL::RelPositivePartialCharge::RelPositivePartialCharge | ( |  | ) |

Default constructor

## RelPositivePartialCharge() [2/2]

BALL::RelPositivePartialCharge::RelPositivePartialCharge | ( | const RelPositivePartialCharge & | rppc | ) |

Copy constructor

## ~RelPositivePartialCharge()

virtual BALL::RelPositivePartialCharge::~RelPositivePartialCharge | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## operator=()

RelPositivePartialCharge & BALL::RelPositivePartialCharge::operator= | ( | const RelPositivePartialCharge & | rppc | ) |

Assignment operator